Summary:	Lynx-like text WWW browser
Name:		links
Version:	2.7
%define subrel	1
Release:	%mkrel 4
License:	GPLv2+
Group:		Networking/WWW

Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
Source4:	links.cfg
Patch3:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch
Patch6:		links-2.7-cookies-save.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch14:	links-2.3-automake.patch
Patch21:	links-2.1pre17-fix-segfault-on-loading-cookies.patch
Patch22:	links-2.1pre2-64bit-fixes.patch
Patch23:	links-2.7-dont-have-two-assocations-with-same-label--otherwise-one-cant-override-shared-config.patch
Patch24:	links-2.3-CVE-2006-5925--disable-SMB.patch
Patch25:	links2_better_verification.diff
Patch26:	links-2.7-automake-1.13.patch
Patch27:	links-2.7-CVE-2013-6050.patch
URL:		http://links.twibright.com/
BuildRequires:	libx11-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	openssl-devel
BuildRequires:	jpeg-devel
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	zlib-devel
BuildRequires:	directfb-devel >= 0.9.17
Provides:	webclient
Requires:	links-common = %{version}

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Provides:	webclient, links = %{version}-%{release}
Requires:	indexhtml

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package common
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Conflicts:	links < 2.1-0.pre18.5mdk, links-graphic < 2.1-0.pre18.5mdk

%description common
Common files for links and links-graphic

%prep
%setup	-q -n %name-%version
%patch3 -p1
%patch6 -p1
%patch8 -p1
%patch14 -p1
%patch21 -p1
%patch22 -p1 -b .64bit-fixes
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1 -b .automake-1_13
%patch27 -p1

%build
autoreconf -fi
%configure2_5x
%make

cp -f links links-text

make clean
%configure2_5x --enable-graphics
%make

cp -f links links-graphic

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %buildroot%{_bindir}/links
install links-graphic links-text %buildroot%{_bindir}

install -D -m 644 %SOURCE4 %buildroot/etc/links.cfg

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links
Comment=Lynx-like text/graphic Web browser
Exec=/usr/bin/links-graphic /usr/share/indexhtml/index.html
Icon=web_browser_section
Terminal=false
Type=Application
Categories=Network;WebBrowser;
EOF

%clean
rm -rf %{buildroot}

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text
fi

%post graphic
update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic
fi

%files 
%{_bindir}/links-text

%files graphic
%{_bindir}/links-graphic
%{_datadir}/applications/*

%files common
%doc AUTHORS ChangeLog README SITES
%config(noreplace) /etc/links.cfg
%{_mandir}/*/*


%changelog
* Mon Dec 02 2013 luigiwalser <luigiwalser> 2.7-4.1.mga3
+ Revision: 554666
- add patch from debian to fix CVE-2013-6050

* Sat Jan 12 2013 umeabot <umeabot> 2.7-4.mga3
+ Revision: 358829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 2.7-3.mga3
+ Revision: 339267
- patch26: fix build with automake 1.13

* Sat Jul 28 2012 fwang <fwang> 2.7-2.mga3
+ Revision: 275256
- rebuild for new dfb

* Wed Jul 04 2012 luigiwalser <luigiwalser> 2.7-1.mga3
+ Revision: 267756
- 2.7
- re-diff patch6 and patch23

* Tue Jul 03 2012 luigiwalser <luigiwalser> 2.6-2.mga3
+ Revision: 266973
- re-diff patch from debian to fix security bug SA33391

* Sun Apr 15 2012 luigiwalser <luigiwalser> 2.6-1.mga2
+ Revision: 230950
- 2.6

* Fri Dec 30 2011 supp <supp> 2.5-1.mga2
+ Revision: 188911
- update to 2.5, drop few obsolete patches

* Wed Oct 26 2011 tv <tv> 2.3-2.mga2
+ Revision: 158174
- build without obsolete svgalib

* Wed Sep 28 2011 fwang <fwang> 2.3-1.mga2
+ Revision: 149780
- recall automake patch
- rediff some patches
- new version 2.3
- fix build with latest libpng
- rebuild for new libpng

* Mon Jul 18 2011 fwang <fwang> 2.2-11.mga2
+ Revision: 125765
- rebuild for new directfb

* Tue Apr 26 2011 wally <wally> 2.2-10.mga1
+ Revision: 91747
- fix desktop file name (mga#954)
- drop buildroot definition

  + rda <rda>
    - Update homepage location

* Thu Mar 17 2011 tv <tv> 2.2-8.mga1
+ Revision: 73208
- clean post scripts
- imported package links

